VAJAntTool (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ide.VAJAntTool,VAJAntTool class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ide
Class VAJAntTool

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.ide.VAJAntTool

public class VAJAntTool
extends java.lang.Object

This class is the equivalent to org.apache.tools.ant.Main for the VAJ tool environment. It's main is called when the user selects Tools->Ant Build from the VAJ project menu. Additionally this class provides methods to save build info for a project in the repository and load it from the repository

Constructor Summary
`VAJAntTool()`

Method Summary
`static org.apache.tools.ant.taskdefs.optional.ide.VAJBuildInfo` | `loadBuildData(java.lang.String projectName)` Loads the BuildInfo for the specified VAJ project from the tool data for this project.
`static void` | `main(java.lang.String[] args)` Starts the application.
`static void` | `saveBuildData(org.apache.tools.ant.taskdefs.optional.ide.VAJBuildInfo info)` Saves the BuildInfo for a project in the VAJ repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VAJAntTool

    public VAJAntTool()

Method Detail

### loadBuildData

    public static org.apache.tools.ant.taskdefs.optional.ide.VAJBuildInfo loadBuildData(java.lang.String projectName)

  Loads the BuildInfo for the specified VAJ project from the tool data for this project. If there is no build info stored for that project, a new default BuildInfo is returned

  Parameters:
    `projectName` - String project name
  Returns:
    BuildInfo buildInfo build info for the specified project

### main

    public static void main(java.lang.String[] args)

  Starts the application.

  Parameters:
    `args` - an array of command-line arguments. VAJ puts the VAJ project name into args[1] when starting the tool from the project context menu

### saveBuildData

    public static void saveBuildData(org.apache.tools.ant.taskdefs.optional.ide.VAJBuildInfo info)

  Saves the BuildInfo for a project in the VAJ repository.

  Parameters:
    `info` - BuildInfo build info to save

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.